CREATE procedure [C6StagingPeriodico].[RP_ST_PatrimonioTerzi_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PatrimonioTerzi_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_PatrimonioTerzi
/*  20/05/2015FCianfa e LM: aggiunta della where condition e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.
*/
	insert into C6StagingPeriodico.RP_PatrimonioTerzi
	SELECT [chiaveProdottoTerzi]
      ,[chiaveClientePB]
      ,[idTipoProdotto]
      ,[nomeProdotto]
      ,NULL
      ,[valutaCtv]
      ,[ctv]
      ,NULL
      ,[dataCtv]
      ,[prezzoMedioCarico]
      ,[tipoProd]
      ,[dtFine]
      ,[divisa]
      ,[ultimoPrezzo]
   FROM [CONSUNI_PERIODICO].[ConsulenzaUnica].[dbo].[PatrimonioTerzi]
   where dtFineValidita >getdate() 
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PatrimonioTerzi_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PatrimonioTerzi_pre_selective'
		)
end